de.esprit.common.gui.wizzard

## Class StepEntry

- java.lang.Object
- - de.esprit.common.gui.wizzard.StepEntry

-     public abstract class StepEntry
      extends java.lang.Object

  This abstract class defines what makes a wizzard-step. Subclasses must add real functionality in the form of actions and undo-actions.
  Author:
    Rainer Buesch

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `StepEntry()` Constructor for StepEntry.
    `StepEntry(boolean isMandatory)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract javax.swing.JComponent` | `getActionComponent()`
    `CheckMark` | `getCheckMark()`
    `int` | `getCurrentStepIndex()`
    `abstract java.lang.String` | `getHelpText()`
    `int` | `getMyState()`
    `abstract StepAction` | `getStepAction()`
    `StepSerie` | `getStepSerie()`
    `abstract StepAction` | `getStepUndoAction()`
    `void` | `initStepEntry(StepSerie steps, int myState)`
    `boolean` | `isAvailable()`
    `boolean` | `isMandatory()`
    `void` | `performAction()`
    `void` | `performUndoAction()`
    `void` | `setAvailable(boolean state)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### StepEntry

          public StepEntry()

      Constructor for StepEntry.

    - #### StepEntry

          public StepEntry(boolean isMandatory)

  - ### Method Detail

    - #### initStepEntry

          public void initStepEntry(StepSerie steps,
                           int myState)

    - #### getCheckMark

          public CheckMark getCheckMark()

    - #### getMyState

          public int getMyState()

    - #### getStepSerie

          public StepSerie getStepSerie()

    - #### getCurrentStepIndex

          public int getCurrentStepIndex()

    - #### isMandatory

          public boolean isMandatory()

    - #### setAvailable

          public void setAvailable(boolean state)

    - #### isAvailable

          public boolean isAvailable()

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### performAction

          public void performAction()

    - #### performUndoAction

          public void performUndoAction()

    - #### getHelpText

          public abstract java.lang.String getHelpText()

    - #### getActionComponent

          public abstract javax.swing.JComponent getActionComponent()

    - #### getStepAction

          public abstract StepAction getStepAction()

    - #### getStepUndoAction

          public abstract StepAction getStepUndoAction()

Copyright © 2014 EsprIT-Systems. All Rights Reserved.